Freeze layer

Discussion in 'AutoCAD' started by kb, Aug 22, 2003.

  1. kb

    kb Guest

    Simple question, how do I freeze a specific layer? I can freeze all the layers in the drawing, but I can't seem to freeze a specific one layer.
     
    kb, Aug 22, 2003
    #1
  2. ThisDrawing.Layers.Item("MyLayer").Freeze = True

    Of course, the layer cannot be current.

    --
    R. Robert Bell, MCSE
    www.AcadX.com


    | Simple question, how do I freeze a specific layer? I can freeze all the
    layers in the drawing, but I can't seem to freeze a specific one layer.
     
    R. Robert Bell, Aug 22, 2003
    #2
  3. kb

    kb Guest

    That does not work. I've tried that before, but do anything. I've checked the drawing, and the current layer is not set as the one I'm trying to freeze. Here's what I've tried, which is similar:

    Public Function FreezeLayer()


    Dim objLayer As AcadLayer


    Set objLayer = ThisDrawing.Layers.Item("ROW")
        objLayer.Freeze = True


    End Function
     
    kb, Aug 22, 2003
    #3
  4. kb

    kb Guest

    My appologise. It does work, the layer that Freezes, but it takes a second for the screen to refresh and show the layer frozen.

    Thanks.
     
    kb, Aug 22, 2003
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.